%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-pycap
Version:        0.2
Release:        0%{?dist}
Summary:        Python Packet Capture and Injection Library

Group:          Development/Languages
License:        GPL
URL:            http://pycap.sourceforge.net/
Source0:        http://switch.dl.sourceforge.net/sourceforge/pycap/pycap-%{version}.tar.gz
Patch02:        pycap-0.2-2.memleak.patch
Patch03:        pycap-0.2-3.warnings.patch
Patch04:        pycap-0.2-4.pkt_hdr.patch
Patch05:        pycap-0.2-5.icmp.patch
Patch06:        pycap-0.2-6.sll.patch
Patch07:        pycap-0.2-7.silence.patch
Patch08:        pycap-0.2-8.inject.patch
Patch09:        pycap-0.2-9.ipv6.patch
Patch161:       pycap-0.2-6a.device.patch
Patch162:       pycap-0.2-6b.spec.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel, libnet-devel
Requires: python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
Requires: libpcap

%description
This package provides the ability to capture packets from network
interfaces.  It dissects commonly found structures in network packets
such as Ethernet, IP_, IPv6_, ARP_, TCP_, UDP_, ICMP_ and ICMPv6 headers.

%prep
%setup -q -n pycap-%{version}
%patch02 -p1 -b .memleak
%patch03 -p1 -b .warning
%patch04 -p1 -b .pkt_hdr
%patch05 -p1 -b .icmp
%patch06 -p1 -b .sll
%patch07 -p1 -b .silence
%patch08 -p1 -b .inject
%patch09 -p1 -b .ipv6
%patch161 -p1 -b .device
#%patch162 -p1 -b .spec


%build
find -name "*.h" -o -name "*.c" -exec %{__perl} -p -i -e 's/Py_ssize_t/int/g' {} \;
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
# To avoid adding un-needed dependencies
#chmod -x test/test*.py

%install
[ ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != '/' ] && rm -rf "$RPM_BUILD_ROOT"
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --record=INSTALLED_FILES


%clean
[ ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != '/' ] && rm -rf "$RPM_BUILD_ROOT"


%files -f INSTALLED_FILES
%defattr(-,root,root,-)
%doc docs/*
#%{python_sitearch}/*


%changelog
* Sat Jun 28 2008 Petr Vokac <vokac@kmlinux.fjfi.cvut.cz> 0.2.0-0
- updated to 0.2 version of pycap

* Thu Jan 18 2007 Petr Vokac <vokac@kmlinux.fjfi.cvut.cz> 0.1.6-0
- Initial version.
